> For the complete documentation index, see [llms.txt](https://docs.monitoro.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monitoro.co/reference/monitors/extractions.md).

# Extractions

Imagine you're keeping an eye on a particular webpage, like your favorite online store's product page, to track changes. Monitoro acts like a digital assistant that regularly visits the page on your behalf. Each time it does, it captures a snapshot of the specific data you're interested in—this snapshot is what we call an extraction.

When an extraction occurs, Monitoro is comparing this latest snapshot with the previous one it took. This comparison helps Monitoro decide whether to trigger any of your setup automations based on the changes detected. For example, if you're monitoring a product's price and it goes up, and you've set an automation for price increases, Monitoro will spring into action based on the new extraction.

An initial extraction is a special case. It occurs automatically right after you set up a monitor for the webpage. Think of it as Monitoro's way of saying, "Okay, I'm ready and starting now!" Since there's nothing to compare it to at this point, no automations will be triggered. It's essentially setting the baseline for all future comparisons.

The frequency of extractions depends on your plan. You can learn more about [how monitoring runs](/reference/monitors/how-monitoring-runs.md) here.

***

## Need help?

{% content-ref url="/pages/1lnlBLH6HfwEK7PvqADD" %}
[Common questions (FAQ)](/resources/common-questions-faq.md)
{% endcontent-ref %}

{% content-ref url="/pages/dKtMy5pNOGJkipAL18ta" %}
[Troubleshooting](/resources/troubleshooting.md)
{% endcontent-ref %}

{% content-ref url="/pages/Vuu3jOA6KDUwIos8cci0" %}
[Support](/resources/support.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monitoro.co/reference/monitors/extractions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
